### Method

# Gsk RoundedRect intersects_rect

#### Declaration [src]

    gboolean
    gsk_rounded_rect_intersects_rect (
      const GskRoundedRect* self,
      const graphene_rect_t* rect
    )

#### Description [src]

Checks if part a rectangle is contained inside the rounded rectangle.

#### Parameters

`rect`

  Type: `graphene_rect_t`

  The rectangle to check.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

True if the `rect` intersects with the rounded rectangle.